version: '3.7'

services:
  react:
    image: practice_react
    container_name: practice_react
    build:
      context: ../
      dockerfile: deployment/docker/react/Dockerfile
    volumes:
      -  ${PWD}/react:/web/react/:rw
    ports:
      - 3000:3000
    networks:
      - default

networks:
  default:
    name: practice-network
    external: true
